Bug 4675 - [UPDATE REQUEST] mesa 10.3.3 + libdrm 2.4.58
: [UPDATE REQUEST] mesa 10.3.3 + libdrm 2.4.58
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-14 17:09 MSK by Eugene Shatokhin
Modified: 2014-11-27 19:58 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-11-14 17:09:28 MSK
Mesa was updated to version 10.3.3, libdrm - to version 2.4.58, needed for that new version of Mesa.
Comment 1 Eugene Shatokhin 2014-11-14 17:23:04 MSK
Advisory:
Mesa was updated to version 10.3.3, libdrm - to version 2.4.58.
* Mesa 10.3.3 implements 20+ more GL_ARB_* OpenGL extensions and provides a number of bugfixes. See the detailed list of changes at http://www.mesa3d.org/relnotes/10.3.html.
* Among the changes in libdrm 2.4.58 are:
** drm: use drm_mmap/drm_munmap wrappers
** intel: Adding locks for drm objects synchronization.
** intel: Don't leak the test page in an has_userptr() error path
** intel: make bo_unreference() thread safe
** intel: make bufmgr_gem shareable from different API
** intel: make drm_intel_gem_bo_get_reloc_count() thread safe
** intel: Sync typo fix from the kernel sources.
** intel: use drm_mmap/drm_munmap wrappers
** nouveau: use drm_mmap/drm_munmap wrappers
** radeon: add new CIK pci ids
** radeon: add new SI pci ids
** radeon: Fix surf->bankh init by default value when surf->tile_split == 0
** radeon: fix typo in sample split / fixes MSAA on Hawaii

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2331995 (libdrm)
https://abf.rosalinux.ru/build_lists/2332665 (mesa)

x86_64:
https://abf.rosalinux.ru/build_lists/2331996 (libdrm)
https://abf.rosalinux.ru/build_lists/2332666 (mesa)
Comment 2 Eugene Shatokhin 2014-11-14 17:24:20 MSK
При тестировании стоит установить и новые пакеты libdrm, и новые пакеты mesa и проверять их вместе.
Comment 3 Eugene Shatokhin 2014-11-15 13:41:14 MSK
Стоп. 

Погодите пока тестировать: на 64-битной системе опять вылезли конфликты непонятно, из-за чего. Раньше mesa.x64 конфликтовала с mesa.i586, теперь - dri-drivers.
Comment 4 Eugene Shatokhin 2014-11-17 17:51:30 MSK
Вроде удалось обойти конфликты.
Comment 5 Eugene Shatokhin 2014-11-17 17:52:12 MSK
Advisory:
Mesa was updated to version 10.3.3, libdrm - to version 2.4.58.
* Mesa 10.3.3 implements 20+ more GL_ARB_* OpenGL extensions and provides a number of bugfixes. See the detailed list of changes at http://www.mesa3d.org/relnotes/10.3.html.
* Among the changes in libdrm 2.4.58 are:
** drm: use drm_mmap/drm_munmap wrappers
** intel: Adding locks for drm objects synchronization.
** intel: Don't leak the test page in an has_userptr() error path
** intel: make bo_unreference() thread safe
** intel: make bufmgr_gem shareable from different API
** intel: make drm_intel_gem_bo_get_reloc_count() thread safe
** intel: Sync typo fix from the kernel sources.
** intel: use drm_mmap/drm_munmap wrappers
** nouveau: use drm_mmap/drm_munmap wrappers
** radeon: add new CIK pci ids
** radeon: add new SI pci ids
** radeon: Fix surf->bankh init by default value when surf->tile_split == 0
** radeon: fix typo in sample split / fixes MSAA on Hawaii

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2331995 (libdrm)
https://abf.rosalinux.ru/build_lists/2334060 (mesa)

x86_64:
https://abf.rosalinux.ru/build_lists/2331996 (libdrm)
https://abf.rosalinux.ru/build_lists/2334061  (mesa)
Comment 6 Arkady L. Shane 2014-11-19 14:16:43 MSK
Advisory:

New version that fixed crash when llvmpipe tries to use sse instructions,
but llvm detects a cpu that doesn't support them.

https://freedesktop.org/patch/34445/

Buildlists:
https://abf.rosalinux.ru/build_lists/2334968
https://abf.rosalinux.ru/build_lists/2334969
Comment 7 Eugene Shatokhin 2014-11-27 12:31:15 MSK
Desktop http://hw.rosalinux.ru/index.php?probe=91ff8ab7c7 - OK.

Test rack (NVidia GeForce GTX480), i586 & x64 - no regressions, OK.
Test rack (AMD Radeon HD 6450), i586 - no regressions, OK.

The tests with AMD Radeon HD 6450 on x64 (test rack) are in progress now.
Comment 8 Eugene Shatokhin 2014-11-27 16:46:56 MSK
Test rack (AMD Radeon HD 6450), x86_64 - no regressions, OK.
Comment 9 Eugene Shatokhin 2014-11-27 18:20:03 MSK
Extended testing report - ОК. No regressions.
Comment 10 Vladimir Potapov 2014-11-27 19:40:29 MSK
mesa-10.3.3-3
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2334968/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2334969/x86_64/main/release/

libdrm-2.4.58-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2331995/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2331996/x86_64/main/release/

************************** Advisory ********************
Mesa was updated to version 10.3.3, libdrm - to version 2.4.58.
************************** Changelog *******************
Mesa 10.3.3 implements 20+ more GL_ARB_* OpenGL extensions and provides a number of bugfixes.
* Among the changes in libdrm 2.4.58 are:
** drm: use drm_mmap/drm_munmap wrappers
** intel: Adding locks for drm objects synchronization.
** intel: Don't leak the test page in an has_userptr() error path
** intel: make bo_unreference() thread safe
** intel: make bufmgr_gem shareable from different API
** intel: make drm_intel_gem_bo_get_reloc_count() thread safe
** intel: Sync typo fix from the kernel sources.
** intel: use drm_mmap/drm_munmap wrappers
** nouveau: use drm_mmap/drm_munmap wrappers
** radeon: add new CIK pci ids
** radeon: add new SI pci ids
** radeon: Fix surf->bankh init by default value when surf->tile_split == 0
** radeon: fix typo in sample split / fixes MSAA on Hawaii
********************************************************
QA Verified